package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yansen
 * @since 2020-12-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TpMessageEvent对象", description="")
public class TpMessageEvent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "事件ID")
    @TableId(value = "evt_id", type = IdType.AUTO)
    private Integer evtId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "事件类型,birthday生日,festival节日")
    private String evtType;

    @ApiModelProperty(value = "发生日mm-dd格式")
    private String evtDate;

    @ApiModelProperty(value = "是否阳历")
    private Boolean isSolar;

    @ApiModelProperty(value = "简要祝福语")
    private String wishes;

    @ApiModelProperty(value = "1开启,0未开启")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    private Integer orgId;
}
