package com.huiju.estateagents.excel.ActivityStatistics;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

@Data
public class ChannelVisitPersonNum {
    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickName;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String gender;

    /**
     * 归属地
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "归属地", index = 3)
    private String province;

//    /**
//     * 来源渠道
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "来源渠道", index = 4)
//    private String personFrom;
//
//    /**
//     * 置业顾问
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "置业顾问", index = 5)
//    private String realtyConsultant;
//
//    /**
//     * 置业顾问电话
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "置业顾问电话", index = 6)
//    private String realtyConsultantPhone;
//
//    /**
//     * 推广人
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "推广人", index = 7)
//    private String sharePersonName;
//    /**
//     * 分享者
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "分享者", index = 7)
//    private String sharePersonName;
//
//    /**
//     * 分享者电话
//     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "分享者电话", index = 8)
//    private String sharePersonPhone;

    /**
     * 访问次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问次数", index = 4)
    private String visitNum;


}
