package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.SysMenu;

/**
 * <p>
 * 物业web端菜单表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-01-17
 */
public interface ISysMenuService extends IService<SysMenu> {
	
	/**
	 * 获取递归菜单
	 * @param userElement
	 * @return
	 */
	ResponseBean getMenuList(TaUser userElement);
}
